/*******************************************************************************
  MPLAB Harmony Graphics Composer Generated Implementation File

  File Name:
    libaria_events.c

  Summary:
    Build-time generated implementation from the MPLAB Harmony
    Graphics Composer.

  Description:
    Build-time generated implementation from the MPLAB Harmony
    Graphics Composer.

    Created with MPLAB Harmony Version 2.04
*******************************************************************************/
// DOM-IGNORE-BEGIN
/*******************************************************************************
Copyright (c) 2013-2014 released Microchip Technology Inc.  All rights reserved.

Microchip licenses to you the right to use, modify, copy and distribute
Software only when embedded on a Microchip microcontroller or digital signal
controller that is integrated into your product or third party product
(pursuant to the sublicense terms in the accompanying license agreement).

You should refer to the license agreement accompanying this Software for
additional information regarding your rights and obligations.

SOFTWARE AND DOCUMENTATION ARE PROVIDED AS IS WITHOUT WARRANTY OF ANY KIND,
EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF
MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE.
IN NO EVENT SHALL MICROCHIP OR ITS LICENSORS BE LIABLE OR OBLIGATED UNDER
CONTRACT, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION, BREACH OF WARRANTY, OR
OTHER LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT DAMAGES OR EXPENSES
INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL, SPECIAL, INDIRECT, PUNITIVE OR
CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA, COST OF PROCUREMENT OF
SUBSTITUTE GOODS, TECHNOLOGY, SERVICES, OR ANY CLAIMS BY THIRD PARTIES
(INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF), OR OTHER SIMILAR COSTS.
*******************************************************************************/
// DOM-IGNORE-END

#include "gfx/libaria/libaria_events.h"

#include <stdio.h>

bool LED;
int SCR;    //XN[ No
SYS_TMR_HANDLE handleTimer1, handleTimer2, handleTimer3;
bool ChangeNG;   //LEDؑւs̎A1ƂȂtO
bool GlcdTouch; //OtBbNtւ̃^b`L
int ScreenMode = 1; //\XN[ԍ
bool Scr1LCD;   //Screen1ɉLCDʐ؂ւp
bool notFirst;
extern bool WideUseMojuleBoard; //ėpW[]{[hiiς݃{[h)̐ڑL
char Buf[32];   //LCD\pobt@

void All_LedOff(void)   //SLED
{
     PLIB_PORTS_PinClear( PORTS_ID_0, PORT_CHANNEL_G, 15 );//RG15: LED1
   // LATGbits.LATG15 = 0;   

    PLIB_PORTS_PinClear( PORTS_ID_0, PORT_CHANNEL_D, 4 );//RD4: LED2
   // LATDbits.LATD4 = 0;   

    PLIB_PORTS_PinClear( PORTS_ID_0, PORT_CHANNEL_A, 15 );//RA15: LED3
   // LATAbits.LATA15 = 0;  

    PLIB_PORTS_PinClear( PORTS_ID_0, PORT_CHANNEL_A, 14 );//RA14: LED4
   // LATAbits.LATA14 = 0; 
}

void All_LedOn(void)    //SLED_
{
    PLIB_PORTS_PinSet( PORTS_ID_0, PORT_CHANNEL_G, 15 ); //RG15: LED1_
    //LATGbits.LATG15 = 1;
         
    PLIB_PORTS_PinSet( PORTS_ID_0, PORT_CHANNEL_D, 4 ); //RD4: LED2_
    //LATDbits.LATD4 = 1;

    PLIB_PORTS_PinSet( PORTS_ID_0, PORT_CHANNEL_A, 15 ); //RA15: LED3_
    //LATAbits.LATA15 = 1; 

    PLIB_PORTS_PinSet( PORTS_ID_0, PORT_CHANNEL_A, 14 ); //RA14: LED4_
    //LATAbits.LATA14 = 1;
    
}

void Scr1LCD0_Func(void)    // Welcom../Touch.. LCD
{
    if(WideUseMojuleBoard == true)  //ėpW[]{[hiiς݃{[h)̐ڑL
    { 
        lcd_ACM1602_cmd_i2c(0x80);  //1sڂ̐擪
        lcd_ACM1602_str_i2c("Welcome to            ");
        lcd_ACM1602_cmd_i2c(0xC0);  //2sڂ̐擪
        lcd_ACM1602_str_i2c("    PIC32MZ          ");
    }
        
    lcd_cmd(0x80);          //1ڂ̐擪
    sprintf(Buf,"Touch Position   ");//
    lcd_str(Buf);                   //t\
    lcd_cmd(0xC0);          //Qsڂ̐擪
    sprintf(Buf,"    (X,Y)        ");	//
    lcd_str(Buf);           // JnbZ[W1sڕ\
    
    All_LedOn();    //SLED_
}

void Scr1LCD1_Func(void)    //I2C../4bit.. LCD
{
    Scr1LCD = 0;
    if(WideUseMojuleBoard == true)  //ėpW[]{[hiiς݃{[h)̐ڑL
    {
        lcd_ACM1602_cmd_i2c(0x80);  //1sڂ̐擪
        lcd_ACM1602_str_i2c("I2C control       ");
        lcd_ACM1602_cmd_i2c(0xC0);  //2sڂ̐擪
        lcd_ACM1602_str_i2c("          LCD             ");
    }
        
    lcd_cmd(0x80);          //1ڂ̐擪
    sprintf(Buf,"4bit parallel     ");//
    lcd_str(Buf);                   //t\
    lcd_cmd(0xC0);          //Qsڂ̐擪
    sprintf(Buf,"   control LCD    ");	//
    lcd_str(Buf);           // JnbZ[W1sڕ\
    
    All_LedOff();    //SLED
}


void Timer_Callback3 ( uintptr_t context, uint32_t currTick )   //LCD\؂ւ
{
    if(Scr1LCD == false)
    {
        Scr1LCD = true;
        Scr1LCD0_Func();
    }
    else
    {
        Scr1LCD = false;
        Scr1LCD1_Func();
    }    
}

void Screen1_LcdFlicker(void)   //ʂłLCDx2\؂ւR[obN^C}N
{
    Scr1LCD0_Func();    //Welcomeʕ\
    Scr1LCD = true;
    handleTimer3 = SYS_TMR_CallbackPeriodic(1500, 1, Timer_Callback3);//LCD\؂ւR[obN^C}N
}



void MyLibariaEvents(void)  //APP_Tasks ()̌Ăяo
{  
    short int tempX,tempY;

    tempX = ys_TouchGetX();
    tempY = ys_TouchGetY();
    
    if((tempX != -1) && (tempY != -1))GlcdTouch = true;  //^b`
    else GlcdTouch = false;
    
    //XN[3  XN[6Ń^b`ꍇ ---> Screen1
    if((ScreenMode >= 3) && (ScreenMode <= 6) && (GlcdTouch == true))
    { 
        ScreenMode = 1;
        SYS_TMR_CallbackStop (handleTimer2);    //摜\C^[o^C}~
        laContext_SetActiveScreen(screen1_ID);  //XN[1\
        Screen1_LcdFlicker(); //LCD\؂ւR[obN^C}N
    }
    
    if(notFirst == false)   //u[g̏ꍇ
    {
        notFirst = true;
        Screen1_LcdFlicker();//LCD\؂ւR[obN^C}N
   }

    if(ScreenMode != 1)
    {
        lcd_cmd(0x80);          //1sڂ̐擪
        sprintf(Buf,"X = %d          ",tempX);//^b`XW\
        lcd_str(Buf);                   //t\
        lcd_cmd(0xC0);          //Qsڂ̐擪
        sprintf(Buf,"Y = %d           ",tempY);	//^b`YW\
        lcd_str(Buf);           // JnbZ[W1sڕ\
    }
}


void LedImage(void)     //OLEDAC[W摜
{ 
    if(LED == false)
    {
        LED = true;
        All_LedOn();    //SLED_
        
         // LedTouch_OnBulb_Show - Set Visible - BulbOn_Image
        laWidget_SetVisible((laWidget*)BulbOn_Image, LA_TRUE);  //dON̉摜\
        
        // LedTouch_OffBulb_Hidden - Set Visible - BulbOff_Image    //dOFF̉摜\
        laWidget_SetVisible((laWidget*)BulbOff_Image, LA_FALSE);
        
        if(WideUseMojuleBoard == true)  //ėpW[]{[hiiς݃{[h)̐ڑL
        {  
            lcd_ACM1602_cmd_i2c(0x80);  //1sڂ̐擪
            lcd_ACM1602_str_i2c("LED Touch Control       ");
            lcd_ACM1602_cmd_i2c(0xC0);  //2sڂ̐擪
            lcd_ACM1602_str_i2c("    LED: ON      ");
        }
    }
    else
    {
        LED = false;
        All_LedOff();    //SLED
        
        // LedTouch_OnBulb_Hidden - Set Visible - BulbOn_Image  //dON̉摜\
        laWidget_SetVisible((laWidget*)BulbOn_Image, LA_FALSE);

        // LedTouch_OffBulb_Show - Set Visible - BulbOff_Image  //dOFF̉摜\
        laWidget_SetVisible((laWidget*)BulbOff_Image, LA_TRUE);
        
        if(WideUseMojuleBoard == true)  //ėpW[]{[hiiς݃{[h)̐ڑL
        {
            lcd_ACM1602_cmd_i2c(0x80);  //1sڂ̐擪
            lcd_ACM1602_str_i2c("Touch Control      ");
            lcd_ACM1602_cmd_i2c(0xC0);  //2sڂ̐擪
            lcd_ACM1602_str_i2c("    LED: OFF      ");
        } 
        
    }
    
}


//500msec̃R[obN֐
void Timer_Callback1 ( uintptr_t context, uint32_t currTick )
{
    ChangeNG = false;
}


void Timer_Callback2 ( uintptr_t context, uint32_t currTick )
{ 
    SCR++;
    switch(SCR)
    {
        case 3:
            laContext_SetActiveScreen(screen3_ID);
            ScreenMode = 3;
            
            if(WideUseMojuleBoard == true)  //ėpW[]{[hiiς݃{[h)̐ڑL
            {
                lcd_ACM1602_cmd_i2c(0x80);  //1sڂ̐擪
                lcd_ACM1602_str_i2c("                  ");
                lcd_ACM1602_cmd_i2c(0xC0);  //2sڂ̐擪
                lcd_ACM1602_str_i2c("                  ");
            } 
            LATGbits.LATG15 = 1;
            LATDbits.LATD4 = 0;
            LATAbits.LATA15 = 0;
            LATAbits.LATA14 = 0;
            break;
        case 4:
            laContext_SetActiveScreen(screen4_ID);
            ScreenMode = 4;
            if(WideUseMojuleBoard == true)  //ėpW[]{[hiiς݃{[h)̐ڑL
            {
                lcd_ACM1602_cmd_i2c(0x80);  //1sڂ̐擪
                lcd_ACM1602_str_i2c("Circles           ");
                lcd_ACM1602_cmd_i2c(0xC0);  //2sڂ̐擪
                lcd_ACM1602_str_i2c("                  ");
            }
            LATGbits.LATG15 = 0;
            LATDbits.LATD4 = 1;
            LATAbits.LATA15 = 0;
            LATAbits.LATA14 = 0;
            
            break;
        case 5:
            laContext_SetActiveScreen(screen5_ID);
            ScreenMode = 5;
            if(WideUseMojuleBoard == true)  //ėpW[]{[hiiς݃{[h)̐ڑL
            {
                lcd_ACM1602_cmd_i2c(0x80);  //1sڂ̐擪
                lcd_ACM1602_str_i2c("Circles & Lines      ");
                lcd_ACM1602_cmd_i2c(0xC0);  //2sڂ̐擪
                lcd_ACM1602_str_i2c("                     ");
            }
            LATGbits.LATG15 = 0;
            LATDbits.LATD4 = 0;
            LATAbits.LATA15 = 1;
            LATAbits.LATA14 = 0;
            
            break;
        case 6:
            laContext_SetActiveScreen(screen6_ID);
            ScreenMode = 6;
            if(WideUseMojuleBoard == true)  //ėpW[]{[hiiς݃{[h)̐ڑL
            {
                lcd_ACM1602_cmd_i2c(0x80);  //1sڂ̐擪
                lcd_ACM1602_str_i2c("Circles & Lines     ");
                lcd_ACM1602_cmd_i2c(0xC0);  //2sڂ̐擪
                lcd_ACM1602_str_i2c("& Rectangles        ");
            }
            LATGbits.LATG15 = 0;
            LATDbits.LATD4 = 0;
            LATAbits.LATA15 = 0;
            LATAbits.LATA14 = 1;
             
            break;
        default:
            break;
    }
    if(SCR >= 6)SCR = 2;
    
}




//---------------------------------------------------------------

// Scr1_Next_Btn - ReleasedEvent
void Scr1_Next_Btn_ReleasedEvent(laButtonWidget* btn)   //XN[1 NEXT{^@[XCxg
{
    SYS_TMR_CallbackStop (handleTimer3);    //LCD\؂ւC^[o^C}~
    // Next to Screen2 - Show Screen - screen2
    laContext_SetActiveScreen(screen2_ID);  //XN[2\
    ScreenMode = 2;     //XN[ԍ2
    LED = 0;
    All_LedOff();    //SLED
    
    if(WideUseMojuleBoard == true)  //ėpW[]{[hiiς݃{[h)̐ڑL
    {
        lcd_ACM1602_cmd_i2c(0x80);  //1sڂ̐擪
        lcd_ACM1602_str_i2c("Touch Control      ");
        lcd_ACM1602_cmd_i2c(0xC0);  //2sڂ̐擪
        lcd_ACM1602_str_i2c("    LED: OFF      ");
    }
}

// Scr2_Back_Btn - ReleasedEvent
void Scr2_Back_Btn_ReleasedEvent(laButtonWidget* btn)   //XN[2 BACK{^@[XCxg
{
    // Back to screen1 - Show Screen - screen1
    laContext_SetActiveScreen(screen1_ID);  //XN[1\
    ScreenMode  = 1;    //XN[ԍ1
    Screen1_LcdFlicker();//LCD\؂ւR[obN^C}N
}

// Scr2_Next_tmrStartBtn - ReleasedEvent
void Scr2_Next_tmrStartBtn_ReleasedEvent(laButtonWidget* btn)   //XN[2 NEXT{^@[XCxg
{
    laContext_SetActiveScreen(screen4_ID);  //XN[4\ 
    //摜߂C^[o^C}@X^[g
    handleTimer2 = SYS_TMR_CallbackPeriodic(1500, 1, Timer_Callback2);
    SCR = 4;
    LATGbits.LATG15 = 0;
    LATDbits.LATD4 = 1;
    LATAbits.LATA15 = 0;
    LATAbits.LATA14 = 0;
}

// LedTouchContBtn - ReleasedEvent
void LedTouchContBtn_ReleasedEvent(laButtonWidget* btn) //LED ON/OFF{^@[XCxg
{
    //`^O΍
    if(ChangeNG == false)   //؂ւ̏ꍇ
    {
        ChangeNG = true;
        LedImage();     //OLEDAC[W摜
        handleTimer1 = SYS_TMR_CallbackSingle(500, 1, Timer_Callback1);//500msec̃R[obNCxgZbg 
    }
}





