/*******************************************************************************
  MPLAB Harmony Graphics Composer Generated Implementation File

  File Name:
    libaria_init.c

  Summary:
    Build-time generated implementation from the MPLAB Harmony
    Graphics Composer.

  Description:
    Build-time generated implementation from the MPLAB Harmony
    Graphics Composer.

    Created with MPLAB Harmony Version 2.04
*******************************************************************************/
// DOM-IGNORE-BEGIN
/*******************************************************************************
Copyright (c) 2013-2014 released Microchip Technology Inc.  All rights reserved.

Microchip licenses to you the right to use, modify, copy and distribute
Software only when embedded on a Microchip microcontroller or digital signal
controller that is integrated into your product or third party product
(pursuant to the sublicense terms in the accompanying license agreement).

You should refer to the license agreement accompanying this Software for
additional information regarding your rights and obligations.

SOFTWARE AND DOCUMENTATION ARE PROVIDED AS IS WITHOUT WARRANTY OF ANY KIND,
EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF
MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE.
IN NO EVENT SHALL MICROCHIP OR ITS LICENSORS BE LIABLE OR OBLIGATED UNDER
CONTRACT, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION, BREACH OF WARRANTY, OR
OTHER LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT DAMAGES OR EXPENSES
INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL, SPECIAL, INDIRECT, PUNITIVE OR
CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA, COST OF PROCUREMENT OF
SUBSTITUTE GOODS, TECHNOLOGY, SERVICES, OR ANY CLAIMS BY THIRD PARTIES
(INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF), OR OTHER SIMILAR COSTS.
*******************************************************************************/
// DOM-IGNORE-END

#include "gfx/libaria/libaria_init.h"

laScheme defaultScheme;
laScheme _Yellow;
laScheme _Purple;
laScheme screen2;
laScheme TitleLabel;
laScheme Button;
laScheme screen1;
laScheme _SkyBlue;
laScheme LED_Touch_Control;
laScheme _White;
laScheme _Red;
laScheme _LiightGreen;
laLabelWidget* LabelWidget1;
laLabelWidget* LabelWidget3;
laImageWidget* ImageWidget4;
laButtonWidget* Scr1_Next_Btn;
laButtonWidget* Scr2_Back_Btn;
laButtonWidget* Scr2_Next_tmrStartBtn;
laButtonWidget* LedTouchContBtn;
laImageWidget* BulbOn_Image;
laImageWidget* BulbOff_Image;
laLabelWidget* LabelWidget9;
laLabelWidget* LabelWidget10;
laCircleWidget* CircleWidget1;
laCircleWidget* CircleWidget2;
laCircleWidget* CircleWidget3;
laCircleWidget* CircleWidget5;
laCircleWidget* CircleWidget;
laCircleWidget* CircleWidget4;
laLabelWidget* LabelWidget12;
laCircleWidget* CircleWidget9;
laCircleWidget* CircleWidget10;
laCircleWidget* CircleWidget11;
laCircleWidget* CircleWidget12;
laCircleWidget* CircleWidget41;
laCircleWidget* CircleWidget42;
laLineWidget* LineWidget1;
laLineWidget* LineWidget2;
laLineWidget* LineWidget3;
laLineWidget* LineWidget4;
laLineWidget* LineWidget5;
laLineWidget* LineWidget6;
laLineWidget* LineWidget7;
laLabelWidget* LabelWidget13;
laCircleWidget* CircleWidget19;
laCircleWidget* CircleWidget20;
laCircleWidget* CircleWidget21;
laCircleWidget* CircleWidget22;
laCircleWidget* CircleWidget36;
laCircleWidget* CircleWidget37;
laRectangleWidget* RectangleWidget23;
laRectangleWidget* RectangleWidget24;
laRectangleWidget* RectangleWidget25;
laRectangleWidget* RectangleWidget26;
laLineWidget* LineWidget29;
laLineWidget* LineWidget30;
laLineWidget* LineWidget31;
laLineWidget* LineWidget32;
laLineWidget* LineWidget33;
laLineWidget* LineWidget34;
laLineWidget* LineWidget35;
laLabelWidget* LabelWidget14;


static void ScreenCreate_screen1(laScreen* screen);
static void ScreenCreate_screen2(laScreen* screen);
static void ScreenCreate_screen3(laScreen* screen);
static void ScreenCreate_screen4(laScreen* screen);
static void ScreenCreate_screen5(laScreen* screen);
static void ScreenCreate_screen6(laScreen* screen);


int32_t libaria_initialize(void)
{
    laScreen* screen;

    laScheme_Initialize(&defaultScheme, GFX_COLOR_MODE_RGB_565);
    defaultScheme.base = 0xC67A;
    defaultScheme.highlight = 0xC67A;
    defaultScheme.highlightLight = 0xFFFF;
    defaultScheme.shadow = 0x8410;
    defaultScheme.shadowDark = 0x4208;
    defaultScheme.foreground = 0x0;
    defaultScheme.foregroundInactive = 0xD71C;
    defaultScheme.foregroundDisabled = 0x8410;
    defaultScheme.background = 0x0;
    defaultScheme.backgroundInactive = 0xD71C;
    defaultScheme.backgroundDisabled = 0xC67A;
    defaultScheme.text = 0x0;
    defaultScheme.textHighlight = 0x1F;
    defaultScheme.textHighlightText = 0xFFFF;
    defaultScheme.textInactive = 0xD71C;
    defaultScheme.textDisabled = 0x8C92;

    laScheme_Initialize(&_Yellow, GFX_COLOR_MODE_RGB_565);
    _Yellow.base = 0xC67A;
    _Yellow.highlight = 0xC67A;
    _Yellow.highlightLight = 0xFFFF;
    _Yellow.shadow = 0x8410;
    _Yellow.shadowDark = 0x4208;
    _Yellow.foreground = 0xFFE0;
    _Yellow.foregroundInactive = 0xD71C;
    _Yellow.foregroundDisabled = 0x8410;
    _Yellow.background = 0xFFFF;
    _Yellow.backgroundInactive = 0xD71C;
    _Yellow.backgroundDisabled = 0xC67A;
    _Yellow.text = 0x0;
    _Yellow.textHighlight = 0x1F;
    _Yellow.textHighlightText = 0xFFFF;
    _Yellow.textInactive = 0xD71C;
    _Yellow.textDisabled = 0x8C92;

    laScheme_Initialize(&_Purple, GFX_COLOR_MODE_RGB_565);
    _Purple.base = 0xC67A;
    _Purple.highlight = 0xC67A;
    _Purple.highlightLight = 0xFFFF;
    _Purple.shadow = 0x8410;
    _Purple.shadowDark = 0x4208;
    _Purple.foreground = 0xF81F;
    _Purple.foregroundInactive = 0xD71C;
    _Purple.foregroundDisabled = 0x8410;
    _Purple.background = 0xFFFF;
    _Purple.backgroundInactive = 0xD71C;
    _Purple.backgroundDisabled = 0xC67A;
    _Purple.text = 0x0;
    _Purple.textHighlight = 0x1F;
    _Purple.textHighlightText = 0xFFFF;
    _Purple.textInactive = 0xD71C;
    _Purple.textDisabled = 0x8C92;

    laScheme_Initialize(&screen2, GFX_COLOR_MODE_RGB_565);
    screen2.base = 0x1F;
    screen2.highlight = 0xC67A;
    screen2.highlightLight = 0xFFFF;
    screen2.shadow = 0x8410;
    screen2.shadowDark = 0x4208;
    screen2.foreground = 0x0;
    screen2.foregroundInactive = 0xD71C;
    screen2.foregroundDisabled = 0x8410;
    screen2.background = 0x1F;
    screen2.backgroundInactive = 0xD71C;
    screen2.backgroundDisabled = 0xC67A;
    screen2.text = 0x0;
    screen2.textHighlight = 0x1F;
    screen2.textHighlightText = 0xFFFF;
    screen2.textInactive = 0xD71C;
    screen2.textDisabled = 0x8C92;

    laScheme_Initialize(&TitleLabel, GFX_COLOR_MODE_RGB_565);
    TitleLabel.base = 0x7E0;
    TitleLabel.highlight = 0xC67A;
    TitleLabel.highlightLight = 0xFFFF;
    TitleLabel.shadow = 0x8410;
    TitleLabel.shadowDark = 0x4208;
    TitleLabel.foreground = 0x0;
    TitleLabel.foregroundInactive = 0xD71C;
    TitleLabel.foregroundDisabled = 0x8410;
    TitleLabel.background = 0xFFFF;
    TitleLabel.backgroundInactive = 0xD71C;
    TitleLabel.backgroundDisabled = 0xC67A;
    TitleLabel.text = 0x0;
    TitleLabel.textHighlight = 0x1F;
    TitleLabel.textHighlightText = 0xFFFF;
    TitleLabel.textInactive = 0xD71C;
    TitleLabel.textDisabled = 0x8C92;

    laScheme_Initialize(&Button, GFX_COLOR_MODE_RGB_565);
    Button.base = 0xFFE0;
    Button.highlight = 0xC67A;
    Button.highlightLight = 0xFFFF;
    Button.shadow = 0x8410;
    Button.shadowDark = 0x4208;
    Button.foreground = 0x0;
    Button.foregroundInactive = 0xD71C;
    Button.foregroundDisabled = 0x8410;
    Button.background = 0xFFFF;
    Button.backgroundInactive = 0xD71C;
    Button.backgroundDisabled = 0xC67A;
    Button.text = 0x1F;
    Button.textHighlight = 0x1F;
    Button.textHighlightText = 0xFFFF;
    Button.textInactive = 0xD71C;
    Button.textDisabled = 0x8C92;

    laScheme_Initialize(&screen1, GFX_COLOR_MODE_RGB_565);
    screen1.base = 0xC67A;
    screen1.highlight = 0xC67A;
    screen1.highlightLight = 0xFFFF;
    screen1.shadow = 0x8410;
    screen1.shadowDark = 0x4208;
    screen1.foreground = 0x0;
    screen1.foregroundInactive = 0xD71C;
    screen1.foregroundDisabled = 0x8410;
    screen1.background = 0x7E0;
    screen1.backgroundInactive = 0xD71C;
    screen1.backgroundDisabled = 0xC67A;
    screen1.text = 0x0;
    screen1.textHighlight = 0x1F;
    screen1.textHighlightText = 0xFFFF;
    screen1.textInactive = 0xD71C;
    screen1.textDisabled = 0x8C92;

    laScheme_Initialize(&_SkyBlue, GFX_COLOR_MODE_RGB_565);
    _SkyBlue.base = 0xC67A;
    _SkyBlue.highlight = 0xC67A;
    _SkyBlue.highlightLight = 0xFFFF;
    _SkyBlue.shadow = 0x8410;
    _SkyBlue.shadowDark = 0x4208;
    _SkyBlue.foreground = 0x7FF;
    _SkyBlue.foregroundInactive = 0xD71C;
    _SkyBlue.foregroundDisabled = 0x8410;
    _SkyBlue.background = 0xFFFF;
    _SkyBlue.backgroundInactive = 0xD71C;
    _SkyBlue.backgroundDisabled = 0xC67A;
    _SkyBlue.text = 0x0;
    _SkyBlue.textHighlight = 0x1F;
    _SkyBlue.textHighlightText = 0xFFFF;
    _SkyBlue.textInactive = 0xD71C;
    _SkyBlue.textDisabled = 0x8C92;

    laScheme_Initialize(&LED_Touch_Control, GFX_COLOR_MODE_RGB_565);
    LED_Touch_Control.base = 0x1F;
    LED_Touch_Control.highlight = 0xC67A;
    LED_Touch_Control.highlightLight = 0xFFFF;
    LED_Touch_Control.shadow = 0x8410;
    LED_Touch_Control.shadowDark = 0x4208;
    LED_Touch_Control.foreground = 0x0;
    LED_Touch_Control.foregroundInactive = 0xD71C;
    LED_Touch_Control.foregroundDisabled = 0x8410;
    LED_Touch_Control.background = 0xFFFF;
    LED_Touch_Control.backgroundInactive = 0xD71C;
    LED_Touch_Control.backgroundDisabled = 0xC67A;
    LED_Touch_Control.text = 0xFFE0;
    LED_Touch_Control.textHighlight = 0x1F;
    LED_Touch_Control.textHighlightText = 0xFFFF;
    LED_Touch_Control.textInactive = 0xD71C;
    LED_Touch_Control.textDisabled = 0x8C92;

    laScheme_Initialize(&_White, GFX_COLOR_MODE_RGB_565);
    _White.base = 0xC67A;
    _White.highlight = 0xC67A;
    _White.highlightLight = 0xFFFF;
    _White.shadow = 0x8410;
    _White.shadowDark = 0x4208;
    _White.foreground = 0xFFFF;
    _White.foregroundInactive = 0xD71C;
    _White.foregroundDisabled = 0x8410;
    _White.background = 0xFFFF;
    _White.backgroundInactive = 0xD71C;
    _White.backgroundDisabled = 0xC67A;
    _White.text = 0x0;
    _White.textHighlight = 0x1F;
    _White.textHighlightText = 0xFFFF;
    _White.textInactive = 0xD71C;
    _White.textDisabled = 0x8C92;

    laScheme_Initialize(&_Red, GFX_COLOR_MODE_RGB_565);
    _Red.base = 0xC67A;
    _Red.highlight = 0xC67A;
    _Red.highlightLight = 0xFFFF;
    _Red.shadow = 0x8410;
    _Red.shadowDark = 0x4208;
    _Red.foreground = 0xF800;
    _Red.foregroundInactive = 0xD71C;
    _Red.foregroundDisabled = 0x8410;
    _Red.background = 0xF800;
    _Red.backgroundInactive = 0xD71C;
    _Red.backgroundDisabled = 0xC67A;
    _Red.text = 0x0;
    _Red.textHighlight = 0x1F;
    _Red.textHighlightText = 0xFFFF;
    _Red.textInactive = 0xD71C;
    _Red.textDisabled = 0x8C92;

    laScheme_Initialize(&_LiightGreen, GFX_COLOR_MODE_RGB_565);
    _LiightGreen.base = 0xC67A;
    _LiightGreen.highlight = 0xC67A;
    _LiightGreen.highlightLight = 0xFFFF;
    _LiightGreen.shadow = 0x8410;
    _LiightGreen.shadowDark = 0x4208;
    _LiightGreen.foreground = 0x7E0;
    _LiightGreen.foregroundInactive = 0xD71C;
    _LiightGreen.foregroundDisabled = 0x8410;
    _LiightGreen.background = 0xFFFF;
    _LiightGreen.backgroundInactive = 0xD71C;
    _LiightGreen.backgroundDisabled = 0xC67A;
    _LiightGreen.text = 0x0;
    _LiightGreen.textHighlight = 0x1F;
    _LiightGreen.textHighlightText = 0xFFFF;
    _LiightGreen.textInactive = 0xD71C;
    _LiightGreen.textDisabled = 0x8C92;

    screen = laScreen_New(LA_FALSE, LA_FALSE, &ScreenCreate_screen1);
    laContext_AddScreen(screen);

    screen = laScreen_New(LA_FALSE, LA_FALSE, &ScreenCreate_screen2);
    laContext_AddScreen(screen);

    screen = laScreen_New(LA_FALSE, LA_FALSE, &ScreenCreate_screen3);
    laContext_AddScreen(screen);

    screen = laScreen_New(LA_FALSE, LA_FALSE, &ScreenCreate_screen4);
    laContext_AddScreen(screen);

    screen = laScreen_New(LA_FALSE, LA_FALSE, &ScreenCreate_screen5);
    laContext_AddScreen(screen);

    screen = laScreen_New(LA_FALSE, LA_FALSE, &ScreenCreate_screen6);
    laContext_AddScreen(screen);

    GFX_Set(GFXF_DRAW_PIPELINE_MODE, GFX_PIPELINE_GCUGPU);
    laContext_SetStringTable(&stringTable);
    laContext_SetActiveScreen(0);

	return 0;
}

static void ScreenCreate_screen1(laScreen* screen)
{
    laLayer* layer0;

    layer0 = laLayer_New();
    laWidget_SetPosition((laWidget*)layer0, 0, 0);
    laWidget_SetSize((laWidget*)layer0, 320, 240);
    laWidget_SetBackgroundType((laWidget*)layer0, LA_WIDGET_BACKGROUND_FILL);
    laWidget_SetScheme((laWidget*)layer0, &screen1);
    laLayer_SetBufferCount(layer0, 1);

    laScreen_SetLayer(screen, 0, layer0);

    LabelWidget1 = laLabelWidget_New();
    laWidget_SetPosition((laWidget*)LabelWidget1, 75, 13);
    laWidget_SetSize((laWidget*)LabelWidget1, 158, 35);
    laWidget_SetScheme((laWidget*)LabelWidget1, &TitleLabel);
    laWidget_SetBackgroundType((laWidget*)LabelWidget1, LA_WIDGET_BACKGROUND_FILL);
    laWidget_SetBorderType((laWidget*)LabelWidget1, LA_WIDGET_BORDER_NONE);
    laLabelWidget_SetText(LabelWidget1, laString_CreateFromID(string_PIC32MZ));
    laLabelWidget_SetHAlignment(LabelWidget1, LA_HALIGN_LEFT);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)LabelWidget1);

    LabelWidget3 = laLabelWidget_New();
    laWidget_SetPosition((laWidget*)LabelWidget3, 14, 45);
    laWidget_SetSize((laWidget*)LabelWidget3, 301, 34);
    laWidget_SetScheme((laWidget*)LabelWidget3, &TitleLabel);
    laWidget_SetBackgroundType((laWidget*)LabelWidget3, LA_WIDGET_BACKGROUND_FILL);
    laWidget_SetBorderType((laWidget*)LabelWidget3, LA_WIDGET_BORDER_NONE);
    laLabelWidget_SetText(LabelWidget3, laString_CreateFromID(string_Evaluation_Board));
    laLabelWidget_SetHAlignment(LabelWidget3, LA_HALIGN_LEFT);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)LabelWidget3);

    ImageWidget4 = laImageWidget_New();
    laWidget_SetPosition((laWidget*)ImageWidget4, 38, 86);
    laWidget_SetSize((laWidget*)ImageWidget4, 249, 144);
    laWidget_SetScheme((laWidget*)ImageWidget4, &TitleLabel);
    laWidget_SetBackgroundType((laWidget*)ImageWidget4, LA_WIDGET_BACKGROUND_FILL);
    laWidget_SetBorderType((laWidget*)ImageWidget4, LA_WIDGET_BORDER_NONE);
    laImageWidget_SetImage(ImageWidget4, &Fuji240x144noJP);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)ImageWidget4);

    Scr1_Next_Btn = laButtonWidget_New();
    laWidget_SetPosition((laWidget*)Scr1_Next_Btn, 112, 202);
    laWidget_SetSize((laWidget*)Scr1_Next_Btn, 99, 40);
    laWidget_SetScheme((laWidget*)Scr1_Next_Btn, &Button);
    laWidget_SetBackgroundType((laWidget*)Scr1_Next_Btn, LA_WIDGET_BACKGROUND_FILL);
    laWidget_SetBorderType((laWidget*)Scr1_Next_Btn, LA_WIDGET_BORDER_BEVEL);
    laButtonWidget_SetText(Scr1_Next_Btn, laString_CreateFromID(string_NEXT));
    laButtonWidget_SetReleasedEventCallback(Scr1_Next_Btn, &Scr1_Next_Btn_ReleasedEvent);

    laWidget_AddChild((laWidget*)layer0, (laWidget*)Scr1_Next_Btn);

}

static void ScreenCreate_screen2(laScreen* screen)
{
    laLayer* layer0;

    layer0 = laLayer_New();
    laWidget_SetPosition((laWidget*)layer0, 0, 0);
    laWidget_SetSize((laWidget*)layer0, 320, 240);
    laWidget_SetBackgroundType((laWidget*)layer0, LA_WIDGET_BACKGROUND_FILL);
    laWidget_SetScheme((laWidget*)layer0, &screen2);
    laLayer_SetBufferCount(layer0, 1);

    laScreen_SetLayer(screen, 0, layer0);

    Scr2_Back_Btn = laButtonWidget_New();
    laWidget_SetPosition((laWidget*)Scr2_Back_Btn, 52, 203);
    laWidget_SetSize((laWidget*)Scr2_Back_Btn, 100, 35);
    laWidget_SetScheme((laWidget*)Scr2_Back_Btn, &Button);
    laWidget_SetBackgroundType((laWidget*)Scr2_Back_Btn, LA_WIDGET_BACKGROUND_FILL);
    laWidget_SetBorderType((laWidget*)Scr2_Back_Btn, LA_WIDGET_BORDER_BEVEL);
    laButtonWidget_SetText(Scr2_Back_Btn, laString_CreateFromID(string_BACK));
    laButtonWidget_SetReleasedEventCallback(Scr2_Back_Btn, &Scr2_Back_Btn_ReleasedEvent);

    laWidget_AddChild((laWidget*)layer0, (laWidget*)Scr2_Back_Btn);

    Scr2_Next_tmrStartBtn = laButtonWidget_New();
    laWidget_SetPosition((laWidget*)Scr2_Next_tmrStartBtn, 170, 203);
    laWidget_SetSize((laWidget*)Scr2_Next_tmrStartBtn, 100, 34);
    laWidget_SetScheme((laWidget*)Scr2_Next_tmrStartBtn, &Button);
    laWidget_SetBackgroundType((laWidget*)Scr2_Next_tmrStartBtn, LA_WIDGET_BACKGROUND_FILL);
    laWidget_SetBorderType((laWidget*)Scr2_Next_tmrStartBtn, LA_WIDGET_BORDER_BEVEL);
    laButtonWidget_SetText(Scr2_Next_tmrStartBtn, laString_CreateFromID(string_NEXT));
    laButtonWidget_SetReleasedEventCallback(Scr2_Next_tmrStartBtn, &Scr2_Next_tmrStartBtn_ReleasedEvent);

    laWidget_AddChild((laWidget*)layer0, (laWidget*)Scr2_Next_tmrStartBtn);

    LedTouchContBtn = laButtonWidget_New();
    laWidget_SetPosition((laWidget*)LedTouchContBtn, 105, 121);
    laWidget_SetSize((laWidget*)LedTouchContBtn, 105, 45);
    laWidget_SetScheme((laWidget*)LedTouchContBtn, &Button);
    laWidget_SetBackgroundType((laWidget*)LedTouchContBtn, LA_WIDGET_BACKGROUND_FILL);
    laWidget_SetBorderType((laWidget*)LedTouchContBtn, LA_WIDGET_BORDER_BEVEL);
    laButtonWidget_SetText(LedTouchContBtn, laString_CreateFromID(string_ON_OFF));
    laButtonWidget_SetReleasedEventCallback(LedTouchContBtn, &LedTouchContBtn_ReleasedEvent);

    laWidget_AddChild((laWidget*)layer0, (laWidget*)LedTouchContBtn);

    BulbOn_Image = laImageWidget_New();
    laWidget_SetPosition((laWidget*)BulbOn_Image, 25, 12);
    laWidget_SetSize((laWidget*)BulbOn_Image, 135, 60);
    laWidget_SetVisible((laWidget*)BulbOn_Image, LA_FALSE);
    laWidget_SetScheme((laWidget*)BulbOn_Image, &screen2);
    laWidget_SetBackgroundType((laWidget*)BulbOn_Image, LA_WIDGET_BACKGROUND_FILL);
    laWidget_SetBorderType((laWidget*)BulbOn_Image, LA_WIDGET_BORDER_NONE);
    laImageWidget_SetImage(BulbOn_Image, &bulbon);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)BulbOn_Image);

    BulbOff_Image = laImageWidget_New();
    laWidget_SetPosition((laWidget*)BulbOff_Image, 159, 14);
    laWidget_SetSize((laWidget*)BulbOff_Image, 145, 57);
    laWidget_SetScheme((laWidget*)BulbOff_Image, &screen2);
    laWidget_SetBackgroundType((laWidget*)BulbOff_Image, LA_WIDGET_BACKGROUND_FILL);
    laWidget_SetBorderType((laWidget*)BulbOff_Image, LA_WIDGET_BORDER_NONE);
    laImageWidget_SetImage(BulbOff_Image, &bulboff);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)BulbOff_Image);

    LabelWidget9 = laLabelWidget_New();
    laWidget_SetPosition((laWidget*)LabelWidget9, 52, 92);
    laWidget_SetSize((laWidget*)LabelWidget9, 227, 25);
    laWidget_SetScheme((laWidget*)LabelWidget9, &LED_Touch_Control);
    laWidget_SetBackgroundType((laWidget*)LabelWidget9, LA_WIDGET_BACKGROUND_FILL);
    laWidget_SetBorderType((laWidget*)LabelWidget9, LA_WIDGET_BORDER_NONE);
    laLabelWidget_SetText(LabelWidget9, laString_CreateFromID(string_LED_Touch_Control));
    laLabelWidget_SetHAlignment(LabelWidget9, LA_HALIGN_LEFT);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)LabelWidget9);

}

static void ScreenCreate_screen3(laScreen* screen)
{
    laLayer* layer0;

    layer0 = laLayer_New();
    laWidget_SetPosition((laWidget*)layer0, 0, 0);
    laWidget_SetSize((laWidget*)layer0, 320, 240);
    laWidget_SetBackgroundType((laWidget*)layer0, LA_WIDGET_BACKGROUND_FILL);
    laWidget_SetScheme((laWidget*)layer0, &defaultScheme);
    laLayer_SetBufferCount(layer0, 1);

    laScreen_SetLayer(screen, 0, layer0);

    LabelWidget10 = laLabelWidget_New();
    laWidget_SetPosition((laWidget*)LabelWidget10, 20, 210);
    laWidget_SetSize((laWidget*)LabelWidget10, 280, 25);
    laWidget_SetBackgroundType((laWidget*)LabelWidget10, LA_WIDGET_BACKGROUND_FILL);
    laWidget_SetBorderType((laWidget*)LabelWidget10, LA_WIDGET_BORDER_NONE);
    laLabelWidget_SetText(LabelWidget10, laString_CreateFromID(string_Touch_anywhere));
    laWidget_AddChild((laWidget*)layer0, (laWidget*)LabelWidget10);

}

static void ScreenCreate_screen4(laScreen* screen)
{
    laLayer* layer0;

    layer0 = laLayer_New();
    laWidget_SetPosition((laWidget*)layer0, 0, 0);
    laWidget_SetSize((laWidget*)layer0, 320, 240);
    laWidget_SetBackgroundType((laWidget*)layer0, LA_WIDGET_BACKGROUND_FILL);
    laWidget_SetScheme((laWidget*)layer0, &defaultScheme);
    laLayer_SetBufferCount(layer0, 1);

    laScreen_SetLayer(screen, 0, layer0);

    CircleWidget1 = laCircleWidget_New();
    laWidget_SetSize((laWidget*)CircleWidget1, 320, 240);
    laWidget_SetScheme((laWidget*)CircleWidget1, &_Red);
    laWidget_SetBackgroundType((laWidget*)CircleWidget1, LA_WIDGET_BACKGROUND_NONE);
    laWidget_SetBorderType((laWidget*)CircleWidget1, LA_WIDGET_BORDER_NONE);
    laCircleWidget_SetOrigin(CircleWidget1, 160, 120);
    laCircleWidget_SetRadius(CircleWidget1, 10);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)CircleWidget1);

    CircleWidget2 = laCircleWidget_New();
    laWidget_SetSize((laWidget*)CircleWidget2, 320, 240);
    laWidget_SetScheme((laWidget*)CircleWidget2, &_Red);
    laWidget_SetBackgroundType((laWidget*)CircleWidget2, LA_WIDGET_BACKGROUND_NONE);
    laWidget_SetBorderType((laWidget*)CircleWidget2, LA_WIDGET_BORDER_NONE);
    laCircleWidget_SetOrigin(CircleWidget2, 160, 120);
    laCircleWidget_SetRadius(CircleWidget2, 25);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)CircleWidget2);

    CircleWidget3 = laCircleWidget_New();
    laWidget_SetSize((laWidget*)CircleWidget3, 320, 240);
    laWidget_SetScheme((laWidget*)CircleWidget3, &_Red);
    laWidget_SetBackgroundType((laWidget*)CircleWidget3, LA_WIDGET_BACKGROUND_NONE);
    laWidget_SetBorderType((laWidget*)CircleWidget3, LA_WIDGET_BORDER_NONE);
    laCircleWidget_SetOrigin(CircleWidget3, 160, 120);
    laCircleWidget_SetRadius(CircleWidget3, 40);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)CircleWidget3);

    CircleWidget5 = laCircleWidget_New();
    laWidget_SetPosition((laWidget*)CircleWidget5, 0, -1);
    laWidget_SetSize((laWidget*)CircleWidget5, 320, 240);
    laWidget_SetScheme((laWidget*)CircleWidget5, &_Red);
    laWidget_SetBackgroundType((laWidget*)CircleWidget5, LA_WIDGET_BACKGROUND_NONE);
    laWidget_SetBorderType((laWidget*)CircleWidget5, LA_WIDGET_BORDER_NONE);
    laCircleWidget_SetOrigin(CircleWidget5, 160, 120);
    laCircleWidget_SetRadius(CircleWidget5, 55);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)CircleWidget5);

    CircleWidget = laCircleWidget_New();
    laWidget_SetSize((laWidget*)CircleWidget, 320, 240);
    laWidget_SetScheme((laWidget*)CircleWidget, &_Red);
    laWidget_SetBackgroundType((laWidget*)CircleWidget, LA_WIDGET_BACKGROUND_NONE);
    laWidget_SetBorderType((laWidget*)CircleWidget, LA_WIDGET_BORDER_NONE);
    laCircleWidget_SetOrigin(CircleWidget, 160, 120);
    laCircleWidget_SetRadius(CircleWidget, 70);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)CircleWidget);

    CircleWidget4 = laCircleWidget_New();
    laWidget_SetSize((laWidget*)CircleWidget4, 320, 240);
    laWidget_SetScheme((laWidget*)CircleWidget4, &_Red);
    laWidget_SetBackgroundType((laWidget*)CircleWidget4, LA_WIDGET_BACKGROUND_NONE);
    laWidget_SetBorderType((laWidget*)CircleWidget4, LA_WIDGET_BORDER_NONE);
    laCircleWidget_SetOrigin(CircleWidget4, 160, 120);
    laCircleWidget_SetRadius(CircleWidget4, 85);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)CircleWidget4);

    LabelWidget12 = laLabelWidget_New();
    laWidget_SetPosition((laWidget*)LabelWidget12, 20, 210);
    laWidget_SetSize((laWidget*)LabelWidget12, 280, 25);
    laWidget_SetBackgroundType((laWidget*)LabelWidget12, LA_WIDGET_BACKGROUND_FILL);
    laWidget_SetBorderType((laWidget*)LabelWidget12, LA_WIDGET_BORDER_NONE);
    laLabelWidget_SetText(LabelWidget12, laString_CreateFromID(string_Touch_anywhere));
    laWidget_AddChild((laWidget*)layer0, (laWidget*)LabelWidget12);

}

static void ScreenCreate_screen5(laScreen* screen)
{
    laLayer* layer0;

    layer0 = laLayer_New();
    laWidget_SetPosition((laWidget*)layer0, 0, 0);
    laWidget_SetSize((laWidget*)layer0, 320, 240);
    laWidget_SetBackgroundType((laWidget*)layer0, LA_WIDGET_BACKGROUND_FILL);
    laWidget_SetScheme((laWidget*)layer0, &defaultScheme);
    laLayer_SetBufferCount(layer0, 1);

    laScreen_SetLayer(screen, 0, layer0);

    CircleWidget9 = laCircleWidget_New();
    laWidget_SetSize((laWidget*)CircleWidget9, 320, 240);
    laWidget_SetScheme((laWidget*)CircleWidget9, &_Red);
    laWidget_SetBackgroundType((laWidget*)CircleWidget9, LA_WIDGET_BACKGROUND_NONE);
    laWidget_SetBorderType((laWidget*)CircleWidget9, LA_WIDGET_BORDER_NONE);
    laCircleWidget_SetOrigin(CircleWidget9, 160, 120);
    laCircleWidget_SetRadius(CircleWidget9, 25);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)CircleWidget9);

    CircleWidget10 = laCircleWidget_New();
    laWidget_SetSize((laWidget*)CircleWidget10, 320, 240);
    laWidget_SetScheme((laWidget*)CircleWidget10, &_Red);
    laWidget_SetBackgroundType((laWidget*)CircleWidget10, LA_WIDGET_BACKGROUND_NONE);
    laWidget_SetBorderType((laWidget*)CircleWidget10, LA_WIDGET_BORDER_NONE);
    laCircleWidget_SetOrigin(CircleWidget10, 160, 120);
    laCircleWidget_SetRadius(CircleWidget10, 40);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)CircleWidget10);

    CircleWidget11 = laCircleWidget_New();
    laWidget_SetSize((laWidget*)CircleWidget11, 320, 240);
    laWidget_SetScheme((laWidget*)CircleWidget11, &_Red);
    laWidget_SetBackgroundType((laWidget*)CircleWidget11, LA_WIDGET_BACKGROUND_NONE);
    laWidget_SetBorderType((laWidget*)CircleWidget11, LA_WIDGET_BORDER_NONE);
    laCircleWidget_SetOrigin(CircleWidget11, 160, 120);
    laCircleWidget_SetRadius(CircleWidget11, 55);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)CircleWidget11);

    CircleWidget12 = laCircleWidget_New();
    laWidget_SetSize((laWidget*)CircleWidget12, 320, 240);
    laWidget_SetScheme((laWidget*)CircleWidget12, &_Red);
    laWidget_SetBackgroundType((laWidget*)CircleWidget12, LA_WIDGET_BACKGROUND_NONE);
    laWidget_SetBorderType((laWidget*)CircleWidget12, LA_WIDGET_BORDER_NONE);
    laCircleWidget_SetOrigin(CircleWidget12, 160, 120);
    laCircleWidget_SetRadius(CircleWidget12, 10);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)CircleWidget12);

    CircleWidget41 = laCircleWidget_New();
    laWidget_SetSize((laWidget*)CircleWidget41, 320, 240);
    laWidget_SetScheme((laWidget*)CircleWidget41, &_Red);
    laWidget_SetBackgroundType((laWidget*)CircleWidget41, LA_WIDGET_BACKGROUND_NONE);
    laWidget_SetBorderType((laWidget*)CircleWidget41, LA_WIDGET_BORDER_NONE);
    laCircleWidget_SetOrigin(CircleWidget41, 160, 120);
    laCircleWidget_SetRadius(CircleWidget41, 70);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)CircleWidget41);

    CircleWidget42 = laCircleWidget_New();
    laWidget_SetSize((laWidget*)CircleWidget42, 320, 240);
    laWidget_SetScheme((laWidget*)CircleWidget42, &_Red);
    laWidget_SetBackgroundType((laWidget*)CircleWidget42, LA_WIDGET_BACKGROUND_NONE);
    laWidget_SetBorderType((laWidget*)CircleWidget42, LA_WIDGET_BORDER_NONE);
    laCircleWidget_SetOrigin(CircleWidget42, 160, 120);
    laCircleWidget_SetRadius(CircleWidget42, 85);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)CircleWidget42);

    LineWidget1 = laLineWidget_New();
    laWidget_SetSize((laWidget*)LineWidget1, 319, 239);
    laWidget_SetScheme((laWidget*)LineWidget1, &_White);
    laWidget_SetBackgroundType((laWidget*)LineWidget1, LA_WIDGET_BACKGROUND_NONE);
    laWidget_SetBorderType((laWidget*)LineWidget1, LA_WIDGET_BORDER_NONE);
    laLineWidget_SetStartPoint(LineWidget1, 0, 0);
    laLineWidget_SetEndPoint(LineWidget1, 319, 239);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)LineWidget1);

    LineWidget2 = laLineWidget_New();
    laWidget_SetSize((laWidget*)LineWidget2, 319, 239);
    laWidget_SetScheme((laWidget*)LineWidget2, &_White);
    laWidget_SetBackgroundType((laWidget*)LineWidget2, LA_WIDGET_BACKGROUND_NONE);
    laWidget_SetBorderType((laWidget*)LineWidget2, LA_WIDGET_BORDER_NONE);
    laLineWidget_SetStartPoint(LineWidget2, 318, 0);
    laLineWidget_SetEndPoint(LineWidget2, 1, 239);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)LineWidget2);

    LineWidget3 = laLineWidget_New();
    laWidget_SetSize((laWidget*)LineWidget3, 319, 239);
    laWidget_SetScheme((laWidget*)LineWidget3, &_White);
    laWidget_SetBackgroundType((laWidget*)LineWidget3, LA_WIDGET_BACKGROUND_NONE);
    laWidget_SetBorderType((laWidget*)LineWidget3, LA_WIDGET_BORDER_NONE);
    laLineWidget_SetStartPoint(LineWidget3, 160, 0);
    laLineWidget_SetEndPoint(LineWidget3, 160, 239);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)LineWidget3);

    LineWidget4 = laLineWidget_New();
    laWidget_SetSize((laWidget*)LineWidget4, 319, 239);
    laWidget_SetScheme((laWidget*)LineWidget4, &_White);
    laWidget_SetBackgroundType((laWidget*)LineWidget4, LA_WIDGET_BACKGROUND_NONE);
    laWidget_SetBorderType((laWidget*)LineWidget4, LA_WIDGET_BORDER_NONE);
    laLineWidget_SetStartPoint(LineWidget4, 53, 0);
    laLineWidget_SetEndPoint(LineWidget4, 267, 239);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)LineWidget4);

    LineWidget5 = laLineWidget_New();
    laWidget_SetSize((laWidget*)LineWidget5, 319, 239);
    laWidget_SetScheme((laWidget*)LineWidget5, &_White);
    laWidget_SetBackgroundType((laWidget*)LineWidget5, LA_WIDGET_BACKGROUND_NONE);
    laWidget_SetBorderType((laWidget*)LineWidget5, LA_WIDGET_BORDER_NONE);
    laLineWidget_SetStartPoint(LineWidget5, 106, 0);
    laLineWidget_SetEndPoint(LineWidget5, 214, 239);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)LineWidget5);

    LineWidget6 = laLineWidget_New();
    laWidget_SetSize((laWidget*)LineWidget6, 319, 239);
    laWidget_SetScheme((laWidget*)LineWidget6, &_White);
    laWidget_SetBackgroundType((laWidget*)LineWidget6, LA_WIDGET_BACKGROUND_NONE);
    laWidget_SetBorderType((laWidget*)LineWidget6, LA_WIDGET_BORDER_NONE);
    laLineWidget_SetStartPoint(LineWidget6, 214, 0);
    laLineWidget_SetEndPoint(LineWidget6, 106, 239);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)LineWidget6);

    LineWidget7 = laLineWidget_New();
    laWidget_SetSize((laWidget*)LineWidget7, 319, 239);
    laWidget_SetScheme((laWidget*)LineWidget7, &_White);
    laWidget_SetBackgroundType((laWidget*)LineWidget7, LA_WIDGET_BACKGROUND_NONE);
    laWidget_SetBorderType((laWidget*)LineWidget7, LA_WIDGET_BORDER_NONE);
    laLineWidget_SetStartPoint(LineWidget7, 267, 0);
    laLineWidget_SetEndPoint(LineWidget7, 53, 239);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)LineWidget7);

    LabelWidget13 = laLabelWidget_New();
    laWidget_SetPosition((laWidget*)LabelWidget13, 20, 210);
    laWidget_SetSize((laWidget*)LabelWidget13, 280, 25);
    laWidget_SetBackgroundType((laWidget*)LabelWidget13, LA_WIDGET_BACKGROUND_FILL);
    laWidget_SetBorderType((laWidget*)LabelWidget13, LA_WIDGET_BORDER_NONE);
    laLabelWidget_SetText(LabelWidget13, laString_CreateFromID(string_Touch_anywhere));
    laWidget_AddChild((laWidget*)layer0, (laWidget*)LabelWidget13);

}

static void ScreenCreate_screen6(laScreen* screen)
{
    laLayer* layer0;

    layer0 = laLayer_New();
    laWidget_SetPosition((laWidget*)layer0, 0, 0);
    laWidget_SetSize((laWidget*)layer0, 320, 240);
    laWidget_SetBackgroundType((laWidget*)layer0, LA_WIDGET_BACKGROUND_FILL);
    laWidget_SetScheme((laWidget*)layer0, &defaultScheme);
    laLayer_SetBufferCount(layer0, 1);

    laScreen_SetLayer(screen, 0, layer0);

    CircleWidget19 = laCircleWidget_New();
    laWidget_SetSize((laWidget*)CircleWidget19, 320, 240);
    laWidget_SetScheme((laWidget*)CircleWidget19, &_Red);
    laWidget_SetBackgroundType((laWidget*)CircleWidget19, LA_WIDGET_BACKGROUND_NONE);
    laWidget_SetBorderType((laWidget*)CircleWidget19, LA_WIDGET_BORDER_NONE);
    laCircleWidget_SetOrigin(CircleWidget19, 160, 120);
    laCircleWidget_SetRadius(CircleWidget19, 25);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)CircleWidget19);

    CircleWidget20 = laCircleWidget_New();
    laWidget_SetSize((laWidget*)CircleWidget20, 320, 240);
    laWidget_SetScheme((laWidget*)CircleWidget20, &_Red);
    laWidget_SetBackgroundType((laWidget*)CircleWidget20, LA_WIDGET_BACKGROUND_NONE);
    laWidget_SetBorderType((laWidget*)CircleWidget20, LA_WIDGET_BORDER_NONE);
    laCircleWidget_SetOrigin(CircleWidget20, 160, 120);
    laCircleWidget_SetRadius(CircleWidget20, 40);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)CircleWidget20);

    CircleWidget21 = laCircleWidget_New();
    laWidget_SetSize((laWidget*)CircleWidget21, 320, 240);
    laWidget_SetScheme((laWidget*)CircleWidget21, &_Red);
    laWidget_SetBackgroundType((laWidget*)CircleWidget21, LA_WIDGET_BACKGROUND_NONE);
    laWidget_SetBorderType((laWidget*)CircleWidget21, LA_WIDGET_BORDER_NONE);
    laCircleWidget_SetOrigin(CircleWidget21, 160, 120);
    laCircleWidget_SetRadius(CircleWidget21, 55);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)CircleWidget21);

    CircleWidget22 = laCircleWidget_New();
    laWidget_SetSize((laWidget*)CircleWidget22, 320, 240);
    laWidget_SetScheme((laWidget*)CircleWidget22, &_Red);
    laWidget_SetBackgroundType((laWidget*)CircleWidget22, LA_WIDGET_BACKGROUND_NONE);
    laWidget_SetBorderType((laWidget*)CircleWidget22, LA_WIDGET_BORDER_NONE);
    laCircleWidget_SetOrigin(CircleWidget22, 160, 120);
    laCircleWidget_SetRadius(CircleWidget22, 10);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)CircleWidget22);

    CircleWidget36 = laCircleWidget_New();
    laWidget_SetSize((laWidget*)CircleWidget36, 320, 240);
    laWidget_SetScheme((laWidget*)CircleWidget36, &_Red);
    laWidget_SetBackgroundType((laWidget*)CircleWidget36, LA_WIDGET_BACKGROUND_NONE);
    laWidget_SetBorderType((laWidget*)CircleWidget36, LA_WIDGET_BORDER_NONE);
    laCircleWidget_SetOrigin(CircleWidget36, 160, 120);
    laCircleWidget_SetRadius(CircleWidget36, 70);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)CircleWidget36);

    CircleWidget37 = laCircleWidget_New();
    laWidget_SetSize((laWidget*)CircleWidget37, 320, 240);
    laWidget_SetScheme((laWidget*)CircleWidget37, &_Red);
    laWidget_SetBackgroundType((laWidget*)CircleWidget37, LA_WIDGET_BACKGROUND_NONE);
    laWidget_SetBorderType((laWidget*)CircleWidget37, LA_WIDGET_BORDER_NONE);
    laCircleWidget_SetOrigin(CircleWidget37, 160, 120);
    laCircleWidget_SetRadius(CircleWidget37, 85);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)CircleWidget37);

    RectangleWidget23 = laRectangleWidget_New();
    laWidget_SetSize((laWidget*)RectangleWidget23, 320, 240);
    laWidget_SetScheme((laWidget*)RectangleWidget23, &_LiightGreen);
    laWidget_SetBackgroundType((laWidget*)RectangleWidget23, LA_WIDGET_BACKGROUND_NONE);
    laWidget_SetBorderType((laWidget*)RectangleWidget23, LA_WIDGET_BORDER_NONE);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)RectangleWidget23);

    RectangleWidget24 = laRectangleWidget_New();
    laWidget_SetPosition((laWidget*)RectangleWidget24, 10, 10);
    laWidget_SetSize((laWidget*)RectangleWidget24, 300, 220);
    laWidget_SetScheme((laWidget*)RectangleWidget24, &_SkyBlue);
    laWidget_SetBackgroundType((laWidget*)RectangleWidget24, LA_WIDGET_BACKGROUND_NONE);
    laWidget_SetBorderType((laWidget*)RectangleWidget24, LA_WIDGET_BORDER_NONE);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)RectangleWidget24);

    RectangleWidget25 = laRectangleWidget_New();
    laWidget_SetPosition((laWidget*)RectangleWidget25, 20, 20);
    laWidget_SetSize((laWidget*)RectangleWidget25, 280, 200);
    laWidget_SetScheme((laWidget*)RectangleWidget25, &_Yellow);
    laWidget_SetBackgroundType((laWidget*)RectangleWidget25, LA_WIDGET_BACKGROUND_NONE);
    laWidget_SetBorderType((laWidget*)RectangleWidget25, LA_WIDGET_BORDER_NONE);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)RectangleWidget25);

    RectangleWidget26 = laRectangleWidget_New();
    laWidget_SetPosition((laWidget*)RectangleWidget26, 30, 30);
    laWidget_SetSize((laWidget*)RectangleWidget26, 260, 180);
    laWidget_SetScheme((laWidget*)RectangleWidget26, &_Purple);
    laWidget_SetBackgroundType((laWidget*)RectangleWidget26, LA_WIDGET_BACKGROUND_NONE);
    laWidget_SetBorderType((laWidget*)RectangleWidget26, LA_WIDGET_BORDER_NONE);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)RectangleWidget26);

    LineWidget29 = laLineWidget_New();
    laWidget_SetSize((laWidget*)LineWidget29, 319, 239);
    laWidget_SetScheme((laWidget*)LineWidget29, &_White);
    laWidget_SetBackgroundType((laWidget*)LineWidget29, LA_WIDGET_BACKGROUND_NONE);
    laWidget_SetBorderType((laWidget*)LineWidget29, LA_WIDGET_BORDER_NONE);
    laLineWidget_SetStartPoint(LineWidget29, 0, 0);
    laLineWidget_SetEndPoint(LineWidget29, 319, 239);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)LineWidget29);

    LineWidget30 = laLineWidget_New();
    laWidget_SetSize((laWidget*)LineWidget30, 319, 239);
    laWidget_SetScheme((laWidget*)LineWidget30, &_White);
    laWidget_SetBackgroundType((laWidget*)LineWidget30, LA_WIDGET_BACKGROUND_NONE);
    laWidget_SetBorderType((laWidget*)LineWidget30, LA_WIDGET_BORDER_NONE);
    laLineWidget_SetStartPoint(LineWidget30, 318, 0);
    laLineWidget_SetEndPoint(LineWidget30, 1, 239);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)LineWidget30);

    LineWidget31 = laLineWidget_New();
    laWidget_SetSize((laWidget*)LineWidget31, 319, 239);
    laWidget_SetScheme((laWidget*)LineWidget31, &_White);
    laWidget_SetBackgroundType((laWidget*)LineWidget31, LA_WIDGET_BACKGROUND_NONE);
    laWidget_SetBorderType((laWidget*)LineWidget31, LA_WIDGET_BORDER_NONE);
    laLineWidget_SetStartPoint(LineWidget31, 160, 0);
    laLineWidget_SetEndPoint(LineWidget31, 160, 239);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)LineWidget31);

    LineWidget32 = laLineWidget_New();
    laWidget_SetSize((laWidget*)LineWidget32, 319, 239);
    laWidget_SetScheme((laWidget*)LineWidget32, &_White);
    laWidget_SetBackgroundType((laWidget*)LineWidget32, LA_WIDGET_BACKGROUND_NONE);
    laWidget_SetBorderType((laWidget*)LineWidget32, LA_WIDGET_BORDER_NONE);
    laLineWidget_SetStartPoint(LineWidget32, 53, 0);
    laLineWidget_SetEndPoint(LineWidget32, 267, 239);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)LineWidget32);

    LineWidget33 = laLineWidget_New();
    laWidget_SetSize((laWidget*)LineWidget33, 319, 239);
    laWidget_SetScheme((laWidget*)LineWidget33, &_White);
    laWidget_SetBackgroundType((laWidget*)LineWidget33, LA_WIDGET_BACKGROUND_NONE);
    laWidget_SetBorderType((laWidget*)LineWidget33, LA_WIDGET_BORDER_NONE);
    laLineWidget_SetStartPoint(LineWidget33, 106, 0);
    laLineWidget_SetEndPoint(LineWidget33, 214, 239);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)LineWidget33);

    LineWidget34 = laLineWidget_New();
    laWidget_SetSize((laWidget*)LineWidget34, 319, 239);
    laWidget_SetScheme((laWidget*)LineWidget34, &_White);
    laWidget_SetBackgroundType((laWidget*)LineWidget34, LA_WIDGET_BACKGROUND_NONE);
    laWidget_SetBorderType((laWidget*)LineWidget34, LA_WIDGET_BORDER_NONE);
    laLineWidget_SetStartPoint(LineWidget34, 214, 0);
    laLineWidget_SetEndPoint(LineWidget34, 106, 239);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)LineWidget34);

    LineWidget35 = laLineWidget_New();
    laWidget_SetSize((laWidget*)LineWidget35, 319, 239);
    laWidget_SetScheme((laWidget*)LineWidget35, &_White);
    laWidget_SetBackgroundType((laWidget*)LineWidget35, LA_WIDGET_BACKGROUND_NONE);
    laWidget_SetBorderType((laWidget*)LineWidget35, LA_WIDGET_BORDER_NONE);
    laLineWidget_SetStartPoint(LineWidget35, 267, 0);
    laLineWidget_SetEndPoint(LineWidget35, 53, 239);
    laWidget_AddChild((laWidget*)layer0, (laWidget*)LineWidget35);

    LabelWidget14 = laLabelWidget_New();
    laWidget_SetPosition((laWidget*)LabelWidget14, 20, 210);
    laWidget_SetSize((laWidget*)LabelWidget14, 280, 25);
    laWidget_SetBackgroundType((laWidget*)LabelWidget14, LA_WIDGET_BACKGROUND_FILL);
    laWidget_SetBorderType((laWidget*)LabelWidget14, LA_WIDGET_BORDER_NONE);
    laLabelWidget_SetText(LabelWidget14, laString_CreateFromID(string_Touch_anywhere));
    laWidget_AddChild((laWidget*)layer0, (laWidget*)LabelWidget14);

}



