/*******************************************************************************
  MPLAB Harmony Graphics Composer Generated Definitions Header

  File Name:
    libaria_macros.h

  Summary:
    Build-time generated definitions header based on output by the MPLAB Harmony
    Graphics Composer.

  Description:
    Build-time generated definitions header based on output by the MPLAB Harmony
    Graphics Composer.

    Created with MPLAB Harmony Version 2.04
*******************************************************************************/

// DOM-IGNORE-BEGIN
/*******************************************************************************
Copyright (c) 2013-2014 released Microchip Technology Inc.  All rights reserved.

Microchip licenses to you the right to use, modify, copy and distribute
Software only when embedded on a Microchip microcontroller or digital signal
controller that is integrated into your product or third party product
(pursuant to the sublicense terms in the accompanying license agreement).

You should refer to the license agreement accompanying this Software for
additional information regarding your rights and obligations.

SOFTWARE AND DOCUMENTATION ARE PROVIDED AS IS WITHOUT WARRANTY OF ANY KIND,
EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF
MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE.
IN NO EVENT SHALL MICROCHIP OR ITS LICENSORS BE LIABLE OR OBLIGATED UNDER
CONTRACT, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION, BREACH OF WARRANTY, OR
OTHER LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT DAMAGES OR EXPENSES
INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL, SPECIAL, INDIRECT, PUNITIVE OR
CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA, COST OF PROCUREMENT OF
SUBSTITUTE GOODS, TECHNOLOGY, SERVICES, OR ANY CLAIMS BY THIRD PARTIES
(INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF), OR OTHER SIMILAR COSTS.
*******************************************************************************/
// DOM-IGNORE-END

#ifndef _LIBARIA_INIT_H
#define _LIBARIA_INIT_H

#ifndef NATIVE
#include "system_config.h"
#include "system_definitions.h"
#endif

#include "gfx/libaria/libaria.h"
#include "gfx/libaria/libaria_events.h"

#include "gfx/gfx_assets.h"

// DOM-IGNORE-BEGIN
#ifdef __cplusplus  // Provide C++ Compatibility

extern "C" {

#endif
// DOM-IGNORE-END 

#define LIBARIA_SCREEN_COUNT   6

// reference IDs for generated libaria screens
// screen "screen1"
#define screen1_ID    0

// screen "screen2"
#define screen2_ID    1

// screen "screen3"
#define screen3_ID    2

// screen "screen4"
#define screen4_ID    3

// screen "screen5"
#define screen5_ID    4

// screen "screen6"
#define screen6_ID    5



extern laScheme defaultScheme;
extern laScheme _Yellow;
extern laScheme _Purple;
extern laScheme screen2;
extern laScheme TitleLabel;
extern laScheme Button;
extern laScheme screen1;
extern laScheme _SkyBlue;
extern laScheme LED_Touch_Control;
extern laScheme _White;
extern laScheme _Red;
extern laScheme _LiightGreen;
extern laLabelWidget* LabelWidget1;
extern laLabelWidget* LabelWidget3;
extern laImageWidget* ImageWidget4;
extern laButtonWidget* Scr1_Next_Btn;
extern laButtonWidget* Scr2_Back_Btn;
extern laButtonWidget* Scr2_Next_tmrStartBtn;
extern laButtonWidget* LedTouchContBtn;
extern laImageWidget* BulbOn_Image;
extern laImageWidget* BulbOff_Image;
extern laLabelWidget* LabelWidget9;
extern laLabelWidget* LabelWidget10;
extern laCircleWidget* CircleWidget1;
extern laCircleWidget* CircleWidget2;
extern laCircleWidget* CircleWidget3;
extern laCircleWidget* CircleWidget5;
extern laCircleWidget* CircleWidget;
extern laCircleWidget* CircleWidget4;
extern laLabelWidget* LabelWidget12;
extern laCircleWidget* CircleWidget9;
extern laCircleWidget* CircleWidget10;
extern laCircleWidget* CircleWidget11;
extern laCircleWidget* CircleWidget12;
extern laCircleWidget* CircleWidget41;
extern laCircleWidget* CircleWidget42;
extern laLineWidget* LineWidget1;
extern laLineWidget* LineWidget2;
extern laLineWidget* LineWidget3;
extern laLineWidget* LineWidget4;
extern laLineWidget* LineWidget5;
extern laLineWidget* LineWidget6;
extern laLineWidget* LineWidget7;
extern laLabelWidget* LabelWidget13;
extern laCircleWidget* CircleWidget19;
extern laCircleWidget* CircleWidget20;
extern laCircleWidget* CircleWidget21;
extern laCircleWidget* CircleWidget22;
extern laCircleWidget* CircleWidget36;
extern laCircleWidget* CircleWidget37;
extern laRectangleWidget* RectangleWidget23;
extern laRectangleWidget* RectangleWidget24;
extern laRectangleWidget* RectangleWidget25;
extern laRectangleWidget* RectangleWidget26;
extern laLineWidget* LineWidget29;
extern laLineWidget* LineWidget30;
extern laLineWidget* LineWidget31;
extern laLineWidget* LineWidget32;
extern laLineWidget* LineWidget33;
extern laLineWidget* LineWidget34;
extern laLineWidget* LineWidget35;
extern laLabelWidget* LabelWidget14;


int32_t libaria_initialize(void);

//DOM-IGNORE-BEGIN
#ifdef __cplusplus
}
#endif
//DOM-IGNORE-END

#endif // _LIBARIA_INIT_H
/*******************************************************************************
 End of File
*/
